"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Concat = void 0;
const constants_1 = require("../constants");
const path_1 = __importDefault(require("path"));
class Concat {
    getGruntConfig() {
        return {
            concat: {
                config_integration_json_files: {
                    // todo change filename
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/integrations/**/*.json')],
                    dest: constants_1.CONFIG_INTEGRATION_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_catalog_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/catalogs/**/*.json')],
                    dest: constants_1.CONFIG_CATALOGS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_currency_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/currencies/**/*.json')],
                    dest: constants_1.CONFIG_CURRENCIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_flow_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/flows/**/*.json')],
                    dest: constants_1.CONFIG_FLOWS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_catalog_rules_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/catalogRules/**/*.json')],
                    dest: constants_1.CONFIG_CATALOG_RULES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_flow_entries_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/flowEntries/**/*.json')],
                    dest: constants_1.CONFIG_FLOW_ENTRIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_hierarchy_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/hierarchies/**/*.json')],
                    dest: constants_1.CONFIG_HIERARCHIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_pricebook_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/pricebooks/**/*.json')],
                    dest: constants_1.CONFIG_PRICEBOOKS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_variation_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'store/common/variations/**/*.json')],
                    dest: constants_1.CONFIG_VARIATIONS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                product_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'product/**/*.json')],
                    dest: path_1.default.join(constants_1.BUILD_DIR, 'products.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                node_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'node/**/*.json')],
                    dest: path_1.default.join(constants_1.BUILD_DIR, 'nodes.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                price_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'price/**/*.json')],
                    dest: path_1.default.join(constants_1.BUILD_DIR, 'prices.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                inventory_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'inventory/**/*.json')],
                    dest: path_1.default.join(constants_1.BUILD_DIR, 'inventory.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                prod_assoc_json_files: {
                    src: [path_1.default.join(constants_1.DATA_DIR, 'prod-assoc/**/*.json')],
                    dest: path_1.default.join(constants_1.BUILD_DIR, 'prod-assoc.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-contrib-concat');
    }
}
exports.Concat = Concat;
