"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Http = void 0;
const path_1 = __importDefault(require("path"));
class Http {
    getGruntConfig(grunt) {
        return {
            http: {
                product_loader: {
                    options: {
                        url: process.env.IH_PRODUCT_LOADER_URL,
                        method: 'POST',
                        headers: {
                            'Api-Key': process.env.IH_PRODUCT_LOADER_API_KEY,
                            'Content-Type': 'application/json',
                        },
                        body: function () {
                            return grunt.file.read(path_1.default.join('build', getEpccEnv(), 'products.params.json'));
                        },
                        encoding: 'utf8',
                    },
                },
                config_loader: {
                    options: {
                        url: process.env.IH_ORCHESTRATOR_URL,
                        method: 'POST',
                        headers: {
                            'Api-Key': process.env.IH_ORCHESTRATOR_API_KEY,
                            'Content-Type': 'application/json',
                        },
                        body: function () {
                            return grunt.file.read(path_1.default.join('build', getEpccEnv(), 'store.config.json'));
                        },
                        encoding: 'utf8',
                    },
                },
                node_loader: {
                    options: {
                        url: process.env.IH_NODE_LOADER_URL,
                        method: 'POST',
                        headers: {
                            'Api-Key': process.env.IH_NODE_LOADER_API_KEY,
                            'Content-Type': 'application/json',
                        },
                        body: function () {
                            return grunt.file.read(path_1.default.join('build', getEpccEnv(), 'nodes.params.json'));
                        },
                        encoding: 'utf8',
                    },
                },
                price_loader: {
                    options: {
                        url: process.env.IH_PRICE_LOADER_URL,
                        method: 'POST',
                        headers: {
                            'Api-Key': process.env.IH_PRICE_LOADER_API_KEY,
                            'Content-Type': 'application/json',
                        },
                        body: function () {
                            return grunt.file.read(path_1.default.join('build', getEpccEnv(), 'prices.params.json'));
                        },
                        encoding: 'utf8',
                    },
                },
                inventory_loader: {
                    options: {
                        url: process.env.IH_INVENTORY_LOADER_URL,
                        method: 'POST',
                        headers: {
                            'Api-Key': process.env.IH_INVENTORY_LOADER_API_KEY,
                            'Content-Type': 'application/json',
                        },
                        body: function () {
                            return grunt.file.read(path_1.default.join('build', getEpccEnv(), 'inventory.params.json'));
                        },
                        encoding: 'utf8',
                    },
                },
                prod_assoc_loader: {
                    options: {
                        url: process.env.IH_ASSOC_LOADER_URL,
                        method: 'POST',
                        headers: {
                            'Api-Key': process.env.IH_ASSOC_LOADER_API_KEY,
                            'Content-Type': 'application/json',
                        },
                        body: function () {
                            return grunt.file.read(path_1.default.join('build', getEpccEnv(), 'prod-assoc.params.json'));
                        },
                        encoding: 'utf8',
                    },
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-http');
    }
}
exports.Http = Http;
function getEpccEnv() {
    if (!process.env.EPCC_ENV) {
        throw Error('Environment variable undefined: EPCC_ENV');
    }
    return process.env.EPCC_ENV;
}
