"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeStoreConfig = exports.mergeConfigItems = exports.MergeStoreConfig = void 0;
const constants_1 = require("../constants");
class MergeStoreConfig {
    getGruntConfig() {
        return {
            mergeStoreConfig: {
                mergeAllSectionsIntoStoreConfigFile: {
                    config_src: constants_1.CONFIG_MERGE_FILE,
                    config_dest: constants_1.CONFIG_MERGE_FILE,
                    config_integrations: constants_1.CONFIG_INTEGRATION_DEST,
                    config_flows: constants_1.CONFIG_FLOWS_DEST,
                    config_catalog_rules_entries: constants_1.CONFIG_CATALOG_RULES_DEST,
                    config_flow_entries: constants_1.CONFIG_FLOW_ENTRIES_DEST,
                    config_hierarchies: constants_1.CONFIG_HIERARCHIES_DEST,
                    config_pricebooks: constants_1.CONFIG_PRICEBOOKS_DEST,
                    config_catalogs: constants_1.CONFIG_CATALOGS_DEST,
                    config_variations: constants_1.CONFIG_VARIATIONS_DEST,
                    config_currencies: constants_1.CONFIG_CURRENCIES_DEST,
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.registerMultiTask('mergeStoreConfig', 'merge store config items', function () {
            (0, exports.mergeStoreConfig)(grunt, this);
        });
    }
}
exports.MergeStoreConfig = MergeStoreConfig;
const mergeConfigItems = function (grunt, config, sourcePath, field) {
    console.log(sourcePath);
    const items = grunt.file.readJSON(sourcePath);
    config.common[field] = config.common[field].concat(items);
    return config;
};
exports.mergeConfigItems = mergeConfigItems;
const mergeStoreConfig = function (grunt, grunt_this) {
    const dest = grunt_this.data.config_dest;
    const src = grunt_this.data.config_src;
    let config = grunt.file.readJSON(src);
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_integrations, 'integrations');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_catalogs, 'catalogs');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_currencies, 'currencies');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_flows, 'flows');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_hierarchies, 'hierarchies');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_pricebooks, 'pricebooks');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_variations, 'variations');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_catalog_rules_entries, 'catalogRules');
    config = (0, exports.mergeConfigItems)(grunt, config, grunt_this.data.config_flow_entries, 'flowEntries');
    grunt.file.write(dest, JSON.stringify(config, null, 2));
};
exports.mergeStoreConfig = mergeStoreConfig;
