import { BUILD_DIR, CONFIG_CATALOGS_DEST, CONFIG_CURRENCIES_DEST, CONFIG_FLOWS_DEST, CONFIG_FLOW_ENTRIES_DEST, CONFIG_CATALOG_RULES_DEST, CONFIG_HIERARCHIES_DEST, CONFIG_INTEGRATION_DEST, CONFIG_PRICEBOOKS_DEST, CONFIG_VARIATIONS_DEST, DATA_DIR, } from '../constants';
import path from 'path';
export class Concat {
    getGruntConfig() {
        return {
            concat: {
                config_integration_json_files: {
                    // todo change filename
                    src: [path.join(DATA_DIR, 'store/common/integrations/**/*.json')],
                    dest: CONFIG_INTEGRATION_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_catalog_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/catalogs/**/*.json')],
                    dest: CONFIG_CATALOGS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_currency_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/currencies/**/*.json')],
                    dest: CONFIG_CURRENCIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_flow_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/flows/**/*.json')],
                    dest: CONFIG_FLOWS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_catalog_rules_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/catalogRules/**/*.json')],
                    dest: CONFIG_CATALOG_RULES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_flow_entries_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/flowEntries/**/*.json')],
                    dest: CONFIG_FLOW_ENTRIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_hierarchy_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/hierarchies/**/*.json')],
                    dest: CONFIG_HIERARCHIES_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_pricebook_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/pricebooks/**/*.json')],
                    dest: CONFIG_PRICEBOOKS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                config_variation_json_files: {
                    src: [path.join(DATA_DIR, 'store/common/variations/**/*.json')],
                    dest: CONFIG_VARIATIONS_DEST,
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                product_json_files: {
                    src: [path.join(DATA_DIR, 'product/**/*.json')],
                    dest: path.join(BUILD_DIR, 'products.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                node_json_files: {
                    src: [path.join(DATA_DIR, 'node/**/*.json')],
                    dest: path.join(BUILD_DIR, 'nodes.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                price_json_files: {
                    src: [path.join(DATA_DIR, 'price/**/*.json')],
                    dest: path.join(BUILD_DIR, 'prices.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                inventory_json_files: {
                    src: [path.join(DATA_DIR, 'inventory/**/*.json')],
                    dest: path.join(BUILD_DIR, 'inventory.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
                prod_assoc_json_files: {
                    src: [path.join(DATA_DIR, 'prod-assoc/**/*.json')],
                    dest: path.join(BUILD_DIR, 'prod-assoc.json'),
                    options: {
                        // Start of array added to the top of the file
                        banner: '[',
                        // End of array added at the end of the file
                        footer: ']',
                        // Array separator
                        separator: ',',
                    },
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-contrib-concat');
    }
}
