export class TaskWorkflows {
    getGruntConfig() {
        return {};
    }
    registerTasks(grunt) {
        grunt.registerTask('build', [
            'validate_env',
            'clean:build_directory',
            'concat:product_json_files',
            'concat:node_json_files',
            'concat:inventory_json_files',
            'concat:prod_assoc_json_files',
            'concat:price_json_files',
            'concat:config_catalog_json_files',
            'concat:config_currency_json_files',
            'concat:config_flow_json_files',
            'concat:config_catalog_rules_json_files',
            'concat:config_flow_entries_json_files',
            'concat:config_hierarchy_json_files',
            'concat:config_integration_json_files',
            'concat:config_pricebook_json_files',
            'concat:config_variation_json_files',
            'create_loader_specs:create_all_http_payload',
            'replace:loader_trigger_body',
            // rename store.config.json to store.config.merge.json
            'copy:rename_store_config_file',
            // Note on "mergeStoreConfig": 
            // best configured to write in place because it
            // cant be used to copy to a new location because if it finds no matches it doesnt write the target
            // merge the different sections into the container file.
            'mergeStoreConfig:mergeAllSectionsIntoStoreConfigFile',
            'regex-replace:store_config',
            // Note on "copy:store_config" store.config.merge.json to store.config.json
            'copy:store_config',
            'json2jsonl:convert_json_loader_files_to_jsonl',
            'compress:gzip_jsonl_loader_files',
            'aws_s3:upload_jsonl_gzipped_loader_files',
        ]);
        grunt.registerTask('default', ['build']);
        grunt.registerTask('download-s3', [
            'aws_s3:download_jsonl_gzipped_loader_files',
            'copy:rename_s3_bin_downloads',
            'gunzip:gunzip_s3_downloads',
            'jsonl2json:explode_s3_downloads',
        ]);
    }
}
